ComponentPropertyHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ComponentPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.ComponentPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class ComponentPropertyHolder

extends AbstractPropertyHolder

Component implementation of property holder

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`ComponentPropertyHolder(Component component, String path, PropertyData inferredData, PropertyHolder parent, Mappings mappings)`

Method Summary
`Join` | `addJoin(JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(Property prop, Ejb3Column[] columns, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`void` | `addProperty(Property prop, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`KeyValue` | `getIdentifier()`
`Column[]` | `getOverriddenColumn(String propertyName)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.
`PersistentClass` | `getPersistentClass()`
`Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`
`boolean` | `isOrWithinEmbeddedId()` Return true if this component is or is embedded in a @EmbeddedId
`void` | `setParentProperty(String parentProperty)`

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getJoinTable, getMappings, getOverriddenJoinTable, getPath, isInIdClass, setCurrentProperty, setInIdClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentPropertyHolder

    public ComponentPropertyHolder(Component component,
                                   String path,
                                   PropertyData inferredData,
                                   PropertyHolder parent,
                                   Mappings mappings)

Method Detail

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(Property prop,
                            Ejb3Column[] columns,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### addJoin

    public Join addJoin(JoinTable joinTableAnn,
                        boolean noDelayInPkColumnCreation)

### getClassName

    public String getClassName()

### getEntityOwnerClassName

    public String getEntityOwnerClassName()

### getTable

    public Table getTable()

### addProperty

    public void addProperty(Property prop,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### getIdentifier

    public KeyValue getIdentifier()

### isOrWithinEmbeddedId

    public boolean isOrWithinEmbeddedId()

  Description copied from interface: `PropertyHolder`
  Return true if this component is or is embedded in a @EmbeddedId

### getPersistentClass

    public PersistentClass getPersistentClass()

### isComponent

    public boolean isComponent()

### isEntity

    public boolean isEntity()

### setParentProperty

    public void setParentProperty(String parentProperty)

  Specified by:
    `setParentProperty` in interface `PropertyHolder`
  Overrides:
    `setParentProperty` in class `AbstractPropertyHolder`

### getOverriddenColumn

    public Column[] getOverriddenColumn(String propertyName)

  Description copied from class: `AbstractPropertyHolder`
  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

  Specified by:
    `getOverriddenColumn` in interface `PropertyHolder`
  Overrides:
    `getOverriddenColumn` in class `AbstractPropertyHolder`

### getOverriddenJoinColumn

    public JoinColumn[] getOverriddenJoinColumn(String propertyName)

  Description copied from class: `AbstractPropertyHolder`
  Get column overriding, property first, then parent, then holder replace the placeholder 'collection&&element' with nothing These rules are here to support both JPA 2 and legacy overriding rules.

  Specified by:
    `getOverriddenJoinColumn` in interface `PropertyHolder`
  Overrides:
    `getOverriddenJoinColumn` in class `AbstractPropertyHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.